package com.ss.android.ugc.aweme.story.interaction.cell;

import X.AE4;
import X.C0723ADv;
import X.C3053B5l;
import X.JIy;
import X.JIz;
import X.M12;
import android.content.Context;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.powerlist.PowerCell;
import com.bytedance.router.SmartRoute;
import com.bytedance.router.SmartRouter;
import com.ss.android.ugc.aweme.profile.model.User;
import kotlin.h.b.n;

public abstract class BaseReactionBubbleCell<T extends C0723ADv> extends PowerCell<T> {
    static {
        Covode.recordClassIndex(117791);
    }

    public final JIz LIZ() {
        JIy jIy = new JIy();
        jIy.LIZ = true;
        JIz LIZ = jIy.LIZ();
        n.LIZIZ(LIZ, "");
        return LIZ;
    }

    public final void LIZ(User user, AE4 ae4) {
        M12.LIZ(user);
        if (ae4 != null) {
            C3053B5l b5l = new C3053B5l();
            b5l.LJFF(ae4.LIZ);
            String str = ae4.LIZIZ;
            if (str == null) {
                str = "";
            }
            b5l.LJIILL(str);
            b5l.LIZ("click_head");
            b5l.LJJJLIIL = "story_detail";
            b5l.LJJJLL = "bullet";
            b5l.LJJJJZ = ae4.LIZLLL;
            b5l.LJJJJZI = ae4.LJ;
            b5l.f_(ae4.LJFF);
            b5l.LJFF();
        }
        View view = this.itemView;
        n.LIZIZ(view, "");
        Context context = view.getContext();
        SmartRoute buildRoute = SmartRouter.buildRoute(context, "aweme://user/profile/" + user.getUid());
        buildRoute.withParam("sec_user_id", user.getSecUid());
        buildRoute.open();
    }
}
